Subject: Re: [PATCH] submodule: use abbreviated sha1 in 'status' output

From: Jens Lehmann <[email-masked]>
Date: Mon, 01 Oct 2012 19:22:34 +0200

Am 01.10.2012 08:42, schrieb Ramkumar Ramachandra:
> Jens Lehmann wrote:
>> That is just a single user so far indicating your patch /could/ be an
>> improvement. I think we need quite some more votes on that before we
>> should do a change like this.
> 
> I thought it's a porcelain command like 'git status'- we don't need
> votes to change the output format of 'git status', do we?

Sure, we are free to change porcelain output. But that doesn't mean
we shouldn't have a good reason to do so, no? And I'm not sure yet
that it's worth risking to break scripts and user expectations.

And Marc's comment also implies that the status command might not
be heavily used (surely I never use it), so maybe we are just
wasting our time here trying to improve it. And if real users show
interest in shortening the hashes, I won't object that change.